﻿Imports System.Web.Mvc
Imports Models


Namespace Controllers
    Public Class BlogController
        Inherits Controller
        Private db As New BlogContext()

        '
        ' GET: /Blog/

        Public Function Index() As ActionResult
            Return View(db.Blogs)
        End Function

        '
        ' GET: /Blog/Details/5

        Public Function Details(ByVal id As Integer) As ActionResult
            Return View()
        End Function

        '
        ' GET: /Blog/Create

        Public Function Create() As ActionResult
            Return View()
        End Function

        '
        ' POST: /Blog/Create

        <HttpPost()>
        Public Function Create(ByVal blog As Blog) As ActionResult
            Try
                db.Blogs.Add(blog)
                db.SaveChanges()

                Return RedirectToAction("Index")
            Catch
                Return View()
            End Try
        End Function

        '
        ' GET: /Blog/Edit/5

        Public Function Edit(ByVal id As Integer) As ActionResult
            Return View(db.Blogs.Find(id))
        End Function

        '
        ' POST: /Blog/Edit/5

        <HttpPost()>
        Public Function Edit(ByVal id As Integer, ByVal blog As Blog) As ActionResult
            Try
                db.Entry(blog).State = EntityState.Modified
                db.SaveChanges()

                Return RedirectToAction("Index")
            Catch
                Return View()
            End Try
        End Function

        '
        ' GET: /Blog/Delete/5

        Public Function Delete(ByVal id As Integer) As ActionResult
            Return View(db.Blogs.Find(id))
        End Function

        '
        ' POST: /Blog/Delete/5

        <HttpPost()>
        Public Function Delete(ByVal id As Integer, ByVal blog As Blog) As ActionResult
            Try
                ' TODO: Add delete logic here
                db.Entry(blog).State = EntityState.Deleted
                db.SaveChanges()

                Return RedirectToAction("Index")
            Catch
                Return View()
            End Try
        End Function
    End Class
End Namespace
