﻿Imports System.Data.Entity

Namespace Models
    Public Class BlogContext
        Inherits DbContext
        Public Property Blogs() As DbSet(Of Blog)
        Public Property Posts() As DbSet(Of Post)
        Public Property Comments() As DbSet(Of Comment)

        Public Class BlogContextInitializer
            Inherits DropCreateDatabaseIfModelChanges(Of BlogContext)
            Protected Overrides Sub Seed(ByVal context As BlogContext)
                Dim TempList = New List(Of Blog)() From _
                    {New Blog With {.BloggerName = "Julie", .Title = "My Code First Blog", .DateCreated = New Date(2011, 3, 15), _
                            .Posts = New List(Of Post) From _
                             {New Post With {.Title = "ForeignKeyAttribute Annotation", .DateCreated = Date.Now, .Content = "Mark navigation property with ForeignKey"}
                             }
                     },
                     New Blog With {.BloggerName = "Ingemaar", .Title = "My Life as a Blog", .DateCreated = New Date(2011, 3, 10)},
                     New Blog With {.BloggerName = "Sampson", .Title = "Tweeting for Dogs", .DateCreated = New Date(2011, 3, 1)}
                    }
                TempList.ForEach(Function(b) context.Blogs.Add(b))
                MyBase.Seed(context)

            End Sub
        End Class
    End Class
End Namespace